using System;
using System.Collections.Generic;
using System.Text;

namespace TEAMModelOS.SDK.Models.Cosmos
{
    public class ClassAnalysis
    {
        public ClassAnalysis()
        {
            subjects = new List<SubjectScore>();
            total = new List<double>();
        }
        public List<string> studentIds { get; set; } = new List<string>();
        public int stuCount { get; set; }
        public int lineCount { get; set; }
        public List<SubjectScore> subjects { get; set; }
        public string classId { get; set; }
        public List<double> total { get;set;}
        public double  totalAverage { get; set; }
        public double standardDeviation { get; set; }
        public class SubjectScore {
            public SubjectScore() {
                
            }
            public string id { get; set; }
            public  double  passPercent { get; set; }
            public double  averageScore { get; set; }

        }
    }
}
